Subject: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: Kaushal Modi <[email-masked]>
Date: Tue, 11 Jul 2017 03:43:07 +0000

On Mon, Jul 10, 2017, 10:38 PM Eli Zaretskii <[email-masked]> wrote:

>
> When you say "line numbers disappeared", do you mean as if you set
> display-line-numbers to nil, i.e. the text starts at the left edge of
> the window?

Yes. Exactly. And they reappear automatically too once that window is in
focus again.

I enable the line numbers via only major mode hooks, for some major modes.
I am not 100% sure but each time this has happened, probably one window had
a buffer with a major mode where the line numbers should be enabled, and
the other didn't (I normally work in a 2-window frame). But also, I have
never been able to recreate the problem.
-- 

Kaushal Modi